bifunctors-5.1: Bifunctors

Copyright | (C) 2008-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Data.Bifunctor.Flip

Description

Synopsis

- newtype Flip p a b = Flip {
  - runFlip :: p b a
  }

# Documentation

newtype Flip p a b Source

Make a `Bifunctor` flipping the arguments of a `Bifunctor`.

Constructors

Flip |

Fields

runFlip :: p b a

Instances

Bifunctor p => Bifunctor (Flip p) Source |
Bifoldable p => Bifoldable (Flip p) Source |
Bitraversable p => Bitraversable (Flip p) Source |
Biapplicative p => Biapplicative (Flip p) Source |
Bifunctor p => Functor (Flip p a) Source |
Bifoldable p => Foldable (Flip p a) Source |
Bitraversable p => Traversable (Flip p a) Source |
Eq (p b a) => Eq (Flip p a b) Source |
Ord (p b a) => Ord (Flip p a b) Source |
Read (p b a) => Read (Flip p a b) Source |
Show (p b a) => Show (Flip p a b) Source |